#!/bin/bash

uname -a | grep 'x86_64' > /dev/null
RETVAL=$?

if [ $RETVAL == 0 ]; then
  echo "assume x64 platform"
  cp -af `pwd`/x64/canwise `pwd`/canwise
  cp -af `pwd`/x64/cwp-canmon-gui.so `pwd`/cwp-canmon-gui.so
else
  echo "assume x32 platform"
  echo "This version of CANwise for Linux does not support x32 platform."

#  cp -af `pwd`/x32/canwise `pwd`/canwise
#  cp -af `pwd`/x32/cwp-canmon-gui.so `pwd`/cwp-canmon-gui.so
fi